/*
 *	menu.c : main intro menu processing
 *
 *	Copyright 1988, 1990, Miles ONeal, Austin, TX, USA. All rights reserved.
 *	Copyright 1993, 1997-8 Roadkills-R-Us, Austin, TX, USA. All rights reserved.
 *
 *	DoMainMenu()	: main menu
 */

#include "Text.h"
#include "eek.h"

static void
	ShowHelp(),
	ShowHist(),
	ShowMan(),
	ShowStrat(),
	ShowTact(),
	ShowWhat();

static MenuItem items[] = {
	{ MenuItemText,	F, F, F, "Do you wish to:",  EOS },
	{ MenuItemPrompt,	F, T, F, "   see eek history (H),", 'H', &ShowHist },
	{ MenuItemPrompt,	F, T, F, "   see eek objects (O),", 'O', &ShowWhat },
	{ MenuItemPrompt,	F, T, F, "   see eek notes   (N),", 'N', &ShowHelp },
	{ MenuItemPrompt,	F, T, F, "   see eek manpage (M),", 'M', &ShowMan },
	{ MenuItemPrompt,	F, T, F, "   review strategy (S),", 'S', &ShowStrat },
	{ MenuItemPrompt,	F, T, F, "   review tactics  (T),", 'T', &ShowTact },
	{ MenuItemPrompt,	T, F, F, "   play eek        (E),", 'E' },
	{ MenuItemText,	F, F, F, "   or quit         (Q)?", EOS },
	{ MenuItemText,	T, F, F, "Enter H, O, N, M, S, T, E, or Q ", EOS },
};


Menu intro_menu = {
	MenuPlain,
	JustifyHCenter,
	JustifyVCenter,
	items,
	NumItems(items),
};

void
DoMainMenu()
{
	char response;
/*
 *	Run the menus.  When we return here, they either want
 *	to play with Fred a while, or split.
 */
	BuildMenu(main_menu);
	ShowMenu(&intro_menu);
	switch (RunMenu(&intro_menu)) {
		case 'E' :		/* Oh, BOY! they want to play! */
			goto BOOGIE;
			break;
		case MENU_DONE :	/* They don't like us.  Clean up */
			EndMenus(&main_menu);
			exit(0);
			break;
		}
BOOGIE:
	return;
}



static void
ShowHelp()
{
	ShowFile("eek_help");
}



static void
ShowMan()
{
	ShowFile("eek.man");
}



static void
ShowHist()
{
	ShowFile("eek_history");
}



static void
ShowStrat()
{
	ShowFile("eek_strategy");
}



static void
ShowTact()
{
	ShowFile("eek_tactics");
}



static void
ShowWhat()
{
	ShowFile("eek_what");
}
